Subject: Re: [PATCH v3 0/3] cpu: pseries: Cpu offline states framework

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 24 Sep 2009 10:52:46 +1000

On Wed, 2009-09-16 at 09:48 +0200, Heiko Carstens wrote:
> FWIW, this sounds exactly like the same we have already on s390.
> But back then I didn't consider adding a common code infrastructure
> would make sense :)
> 
> Besides the "online" attribute we have an additional "configure"
> attribute to which can only be written if the cpu is offline.
> Writing a "0" to it would mean that you currently won't need the cpu
> anymore and the hypervisor is free to reassign the cpu to a different
> LPAR.
> Writing a "1" to it means you want to use it. If there are enough
> resources you will get it. If not.. bad luck.
> 
Maybe we should use a common API for that then. And the right way to do
so is via a generically located attribute.

Ben.